Bug 1873207 - [BM][IPI] Deployment failed while reaching registry
Summary: [BM][IPI] Deployment failed while reaching registry
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: ---
: 4.5.z
Assignee: Antoni Segura Puimedon
QA Contact: Victor Voronkov
URL:
Whiteboard:
Depends On: 1872806
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-27 15:42 UTC by Antoni Segura Puimedon
Modified: 2021-02-02 18:59 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1872806
Environment:
Last Closed: 2021-02-02 15:10:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2119 0 None closed Bug 1873207: [baremetal] Wait for NM dhcp nameserver population 2021-02-01 16:25:57 UTC
Red Hat Product Errata RHBA-2021:0231 0 None None None 2021-02-02 15:10:38 UTC

Comment 4 Victor Voronkov 2021-01-29 10:25:29 UTC
Verified on deployment with control plane IPv6 and Provision network IPv4

[kni@provisionhost-0-0 ~]$ oc get clusterversion
NAME      VERSION   AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.5.29    True        False         40m     Cluster version is 4.5.29

[kni@provisionhost-0-0 ~]$ oc get nodes -o wide
NAME                                              STATUS   ROLES    AGE   VERSION           INTERNAL-IP           EXTERNAL-IP   OS-IMAGE                                                       KERNEL-VERSION                 CONTAINER-RUNTIME
master-0-0.ocp-edge-cluster-0.qe.lab.redhat.com   Ready    master   78m   v1.18.3+65bd32d   fd2e:6f44:5dd8::141   <none>        Red Hat Enterprise Linux CoreOS 45.82.202101221431-0 (Ootpa)   4.18.0-193.40.1.el8_2.x86_64   cri-o://1.18.4-6.rhaos4.5.gitbe796d1.el8
master-0-1.ocp-edge-cluster-0.qe.lab.redhat.com   Ready    master   79m   v1.18.3+65bd32d   fd2e:6f44:5dd8::12b   <none>        Red Hat Enterprise Linux CoreOS 45.82.202101221431-0 (Ootpa)   4.18.0-193.40.1.el8_2.x86_64   cri-o://1.18.4-6.rhaos4.5.gitbe796d1.el8
master-0-2.ocp-edge-cluster-0.qe.lab.redhat.com   Ready    master   79m   v1.18.3+65bd32d   fd2e:6f44:5dd8::12a   <none>        Red Hat Enterprise Linux CoreOS 45.82.202101221431-0 (Ootpa)   4.18.0-193.40.1.el8_2.x86_64   cri-o://1.18.4-6.rhaos4.5.gitbe796d1.el8
worker-0-0.ocp-edge-cluster-0.qe.lab.redhat.com   Ready    worker   56m   v1.18.3+65bd32d   fd2e:6f44:5dd8::109   <none>        Red Hat Enterprise Linux CoreOS 45.82.202101221431-0 (Ootpa)   4.18.0-193.40.1.el8_2.x86_64   cri-o://1.18.4-6.rhaos4.5.gitbe796d1.el8
worker-0-1.ocp-edge-cluster-0.qe.lab.redhat.com   Ready    worker   57m   v1.18.3+65bd32d   fd2e:6f44:5dd8::106   <none>        Red Hat Enterprise Linux CoreOS 45.82.202101221431-0 (Ootpa)   4.18.0-193.40.1.el8_2.x86_64   cri-o://1.18.4-6.rhaos4.5.gitbe796d1.el8
[

[core@master-0-0 ~]$ ip addr show enp4s0
2: enp4s0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc fq_codel state UP group default qlen 1000
    link/ether 52:54:00:5d:da:a8 brd ff:ff:ff:ff:ff:ff
    inet 172.22.0.70/24 brd 172.22.0.255 scope global dynamic noprefixroute enp4s0
       valid_lft 2281sec preferred_lft 2281sec
    inet6 fe80::1f06:5c7b:697b:2724/64 scope link noprefixroute 
       valid_lft forever preferred_lft forever

[core@master-0-0 ~]$ ip addr show enp5s0
3: enp5s0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc fq_codel state UP group default qlen 1000
    link/ether 52:54:00:e0:e2:6c brd ff:ff:ff:ff:ff:ff
    inet6 fd2e:6f44:5dd8::141/128 scope global dynamic noprefixroute 
       valid_lft 2016sec preferred_lft 2016sec
    inet6 fe80::103:2293:4c40:6821/64 scope link noprefixroute 
       valid_lft forever preferred_lft forever

Comment 6 errata-xmlrpc 2021-02-02 15:10:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5.30 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:0231


Note You need to log in before you can comment on or make changes to this bug.